<?php

namespace Drupal\iconset\Plugin;

/**
 * The base interface for creating icon handler plugins which work with files.
 */
interface IconHandlerFileInterface extends IconHandlerInterface {

  /**
   * Get an array of file extensions supported by this icon handler.
   *
   * @return string[]
   *   Get a list of file extensions supported by this icon handler.
   */
  public function getFileExtensions();

}
